<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Tue Jan 15 11:13:05 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
org.apache.http.impl.client (HttpClient 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-15">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">


</HEAD>

<BODY BGCOLOR="white">
<FONT size="+1" CLASS="FrameTitleFont">
<A HREF="../../../../../org/apache/http/impl/client/package-summary.html" target="classFrame">org.apache.http.impl.client</A></FONT>
<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Classes</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="AbstractAuthenticationHandler.html" title="class in org.apache.http.impl.client" target="classFrame">AbstractAuthenticationHandler</A>
<BR>
<A HREF="AbstractHttpClient.html" title="class in org.apache.http.impl.client" target="classFrame">AbstractHttpClient</A>
<BR>
<A HREF="AIMDBackoffManager.html" title="class in org.apache.http.impl.client" target="classFrame">AIMDBackoffManager</A>
<BR>
<A HREF="AutoRetryHttpClient.html" title="class in org.apache.http.impl.client" target="classFrame">AutoRetryHttpClient</A>
<BR>
<A HREF="BasicAuthCache.html" title="class in org.apache.http.impl.client" target="classFrame">BasicAuthCache</A>
<BR>
<A HREF="BasicCookieStore.html" title="class in org.apache.http.impl.client" target="classFrame">BasicCookieStore</A>
<BR>
<A HREF="BasicCredentialsProvider.html" title="class in org.apache.http.impl.client" target="classFrame">BasicCredentialsProvider</A>
<BR>
<A HREF="BasicResponseHandler.html" title="class in org.apache.http.impl.client" target="classFrame">BasicResponseHandler</A>
<BR>
<A HREF="ClientParamsStack.html" title="class in org.apache.http.impl.client" target="classFrame">ClientParamsStack</A>
<BR>
<A HREF="ContentEncodingHttpClient.html" title="class in org.apache.http.impl.client" target="classFrame">ContentEncodingHttpClient</A>
<BR>
<A HREF="DecompressingHttpClient.html" title="class in org.apache.http.impl.client" target="classFrame">DecompressingHttpClient</A>
<BR>
<A HREF="DefaultBackoffStrategy.html" title="class in org.apache.http.impl.client" target="classFrame">DefaultBackoffStrategy</A>
<BR>
<A HREF="DefaultConnectionKeepAliveStrategy.html" title="class in org.apache.http.impl.client" target="classFrame">DefaultConnectionKeepAliveStrategy</A>
<BR>
<A HREF="DefaultHttpClient.html" title="class in org.apache.http.impl.client" target="classFrame">DefaultHttpClient</A>
<BR>
<A HREF="DefaultHttpRequestRetryHandler.html" title="class in org.apache.http.impl.client" target="classFrame">DefaultHttpRequestRetryHandler</A>
<BR>
<A HREF="DefaultProxyAuthenticationHandler.html" title="class in org.apache.http.impl.client" target="classFrame">DefaultProxyAuthenticationHandler</A>
<BR>
<A HREF="DefaultRedirectHandler.html" title="class in org.apache.http.impl.client" target="classFrame">DefaultRedirectHandler</A>
<BR>
<A HREF="DefaultRedirectStrategy.html" title="class in org.apache.http.impl.client" target="classFrame">DefaultRedirectStrategy</A>
<BR>
<A HREF="DefaultRequestDirector.html" title="class in org.apache.http.impl.client" target="classFrame">DefaultRequestDirector</A>
<BR>
<A HREF="DefaultServiceUnavailableRetryStrategy.html" title="class in org.apache.http.impl.client" target="classFrame">DefaultServiceUnavailableRetryStrategy</A>
<BR>
<A HREF="DefaultTargetAuthenticationHandler.html" title="class in org.apache.http.impl.client" target="classFrame">DefaultTargetAuthenticationHandler</A>
<BR>
<A HREF="DefaultUserTokenHandler.html" title="class in org.apache.http.impl.client" target="classFrame">DefaultUserTokenHandler</A>
<BR>
<A HREF="EntityEnclosingRequestWrapper.html" title="class in org.apache.http.impl.client" target="classFrame">EntityEnclosingRequestWrapper</A>
<BR>
<A HREF="HttpAuthenticator.html" title="class in org.apache.http.impl.client" target="classFrame">HttpAuthenticator</A>
<BR>
<A HREF="LaxRedirectStrategy.html" title="class in org.apache.http.impl.client" target="classFrame">LaxRedirectStrategy</A>
<BR>
<A HREF="NullBackoffStrategy.html" title="class in org.apache.http.impl.client" target="classFrame">NullBackoffStrategy</A>
<BR>
<A HREF="ProxyAuthenticationStrategy.html" title="class in org.apache.http.impl.client" target="classFrame">ProxyAuthenticationStrategy</A>
<BR>
<A HREF="ProxyClient.html" title="class in org.apache.http.impl.client" target="classFrame">ProxyClient</A>
<BR>
<A HREF="RedirectLocations.html" title="class in org.apache.http.impl.client" target="classFrame">RedirectLocations</A>
<BR>
<A HREF="RequestWrapper.html" title="class in org.apache.http.impl.client" target="classFrame">RequestWrapper</A>
<BR>
<A HREF="RoutedRequest.html" title="class in org.apache.http.impl.client" target="classFrame">RoutedRequest</A>
<BR>
<A HREF="StandardHttpRequestRetryHandler.html" title="class in org.apache.http.impl.client" target="classFrame">StandardHttpRequestRetryHandler</A>
<BR>
<A HREF="SystemDefaultHttpClient.html" title="class in org.apache.http.impl.client" target="classFrame">SystemDefaultHttpClient</A>
<BR>
<A HREF="TargetAuthenticationStrategy.html" title="class in org.apache.http.impl.client" target="classFrame">TargetAuthenticationStrategy</A></FONT></TD>
</TR>
</TABLE>


<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Exceptions</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="TunnelRefusedException.html" title="class in org.apache.http.impl.client" target="classFrame">TunnelRefusedException</A></FONT></TD>
</TR>
</TABLE>


</BODY>
</HTML>
